/***************************************************************************
                          i18n.h  -  description
                             -------------------
    begin                : Wed Apr 25 2001
    copyright            : (C) 2001-2004 by Intra2net AG
    email                : info@intra2net.com
 ***************************************************************************/

#ifndef intranator_i18n_H
#define intranator_i18n_H

#include <libintl.h>
#include <string>
#include <vector>

#define i18n(String) gettext(String)
#define i18n_noop(String) (String)

void i18n_init(const std::string& domain, const std::string& path=".");
void i18n_set_language(const std::string &lang="");
std::string i18n_get_current_language(void);
std::string i18n_get_default_language(void);

void i18n_get_string (const char *source, std::string &target, const std::vector<std::string> &data);
void i18n_get_string (const std::string &source, std::string &target, const std::vector<std::string> &data);

std::string i18n_get_string (const char *source, const std::vector<std::string> &data);
std::string i18n_get_string (const std::string &source, const std::vector<std::string> &data);

std::string i18n_locale2language(const std::string locale);

#endif
